> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of payers

> This endpoint returns a list of payers.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, Others not.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="details" defaultOpen>
    <ResponseField name="item_list" type="array">
      <Expandable title="details" defaultOpen>
        <ResponseField name="payer_id" type="string">
          Unique UUID for the payer.
        </ResponseField>

        <ResponseField name="entity_type" type="string">
          Payer's entity type - company or individual.
        </ResponseField>

        <ResponseField name="company_name" type="string">
          The name of the company (if the payer is a company).
        </ResponseField>

        <ResponseField name="first_name" type="string">
          Payer's first name.
        </ResponseField>

        <ResponseField name="last_name" type="string">
          Payer's last name.
        </ResponseField>

        <ResponseField name="address" type="string">
          Line of address.
        </ResponseField>

        <ResponseField name="city" type="string">
          City of the payer.
        </ResponseField>

        <ResponseField name="state_or_province" type="string">
          State or province of the payer.
        </ResponseField>

        <ResponseField name="country" type="string">
          Country of the payer. Two-letter ISO country code.
        </ResponseField>

        <ResponseField name="postal_code" type="string">
          Postal code of the payer.
        </ResponseField>

        <ResponseField name="date_of_birth" type="string">
          Payer date of birth.
        </ResponseField>

        <ResponseField name="identification_type" type="string">
          The legal document used to verify the identity of the payer (e.g. passport).
        </ResponseField>

        <ResponseField name="identification_value" type="string">
          A unique reference code for the identification document, such as a passport number.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/payers' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": 200,
      "message": "Success",
      "data": [
          {
              {
                "code": 200,
                "message": "Success",
                "data": [
                    {
                        "payer_id": "fcf09fa0-1313-41e8-9c1a-2d2721e4251a",
                        "entity_type": "individual",
                        "first_name": "wujing",
                        "last_name": "lee",
                        "address": "169 Ayer Rajah Crescent, #01-11 Singapore 413091",
                        "city": "singapore",
                        "state_or_province": "singapore",
                        "country": "SG",
                        "postal_code": "000000",
                        "date_of_birth": "1993-10-12",
                        "identification_type": "passport",
                        "identification_value": "1003123"
                    }
                ]
            }
          }
      ]
  }
  ```
</ResponseExample>
